Hang on first update - vulkan-validation-layers

Hi, I just installed Garuda Gnome and wow, thank you so much! I really like the setup – btrfs, Flameshot, the Firefox add-ons. However, I ran the first set of updates from Pamac, and it hung while upgrading package 126/128: vulkan-validation-layers (1.2.140-1 -> 1.2.141.0-1)


It’s been stuck there for over an hour. Running this on a Thinkpad X220T, i5-2520M with 8GB RAM, in case that matters. Now I’m not sure if killing the update process will break the system.

It’s the Ultimate Gnome spin. Oh, wait. I closed Firefox because it was going really slowly, nearly frozen, and closing Firefox made it all OK… And then I realized I hadn’t actually installed Garuda (roll eyes at myself). I got distracted with other stuff and forgot where I was in the process, plus I’m not used to live images asking to apply updates. Maybe that can be disabled somehow? OK, I’ll install it for real and see how it behaves.

3 Likes

GL-Forum-01-sgs :slight_smile:

and have fun with garuda linux and its many extras besides the simple arch installation and the automatic backup of the system, remember to backup important data separately. :slight_smile:

It’s not a bug it’s a feature :smiley:

1 Like

hahahaa. If the updates carried over to the installed system, then yes!

Now I’ve actually installed it. Thought it had hung near the beginning of boot, but it just took a minute, maybe for the initial btrfs snapshot? Anyways, looking good, first update finished no problem this time, but gave a mysterious error (if I hade done it via CLI, I could see the error in more detail):

1 Like

May possibly affect the hooks that check if .pacnew and so on are to be considered.
Never seen this before in my testing with GNOME.
Guess the GNOME maintainer @dr460nf1r3 is enjoying his sleep.
More on this later. :slight_smile:

In background I see orphans and new mirrorlist, so hooks work.
Remove orphans and have a look in .zshrc for alias upd.
So you not need to use this long mirrorlist.

alias upd='sudo reflector --country Germany --latest 5 --age 2 --fastest 5 --protocol https --sort rate --save /etc/pacman.d/mirrorlist && cat /etc/pacman.d/mirrorlist && sudo pacman -Syu'

You must edit the/your countries.

2 Likes

will see how that can be done.

2 Likes

Hey, nice to hear you installed it fine. Im facing this error too sometimes but didnt investigate further as it doesnt break anything. This is probably caused by some hook not executing 100% correctly but shouldnt be a reason to worry :blush: I guess @librewish has some more knowledge regarding this topic :slight_smile:

1 Like

Well
I have never upgraded system with pamac
So dont know
I always update on terminal.

And those are just warnings

2 Likes

I just reinstalled and tested on a fresh iso, in my case its caused by the timeshift backup hook since it complains about quotas not being enabled and stuff like that when creating the first snapshot.

1 Like